<!-- Display and handle pending K8s resource requests -->
<div class="app-modal k8s-resource-request-modal">
  <div class="app-modal-header bg-dark {% if pending_k8s_resource_requests|length > 0 %}fw-bolder{% endif %}">
    K8s resource requests
    <i class="fa-solid fa-circle-info ms-2 text-white" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="View and process pending K8s resource quota increase requests"></i>
  </div>

  <div class="app-modal-body">
    <!-- Display pending requests -->
    {% if pending_k8s_resource_requests|length > 0 %}
      <div class="d-flex flex-column gap-3">
        {% for request in pending_k8s_resource_requests %}
          <div class="card">
            <div class="card-body">
              <h5 class="card-title mb-0">{{ request.application.descriptive_name }}</h5>
              <div class="card-text">
                <p class="fw-lighter fst-italic fs-80percent">Requested by {{ request.get_submitter_name }}. Latest updated at {{ request.last_updated }}</p>

                <strong class="mt-3">Replicas (Current quota: {{ request.application.applicationquota.replicas }})</strong>
                <p>{{ request.replicas }} replicas</p>

                <strong class="mt-3">Justification</strong>
                <p>{% if request.justification %}{{ request.justification }}{% else %}None{% endif %}</p>
              </div>
              <button
                class="view-details-btn btn btn-sm btn-primary"
                data-process-url="{% url 'process_k8s_resource_request' request.id %}"
                data-app-name="{{ request.application.descriptive_name }}"
                data-replicas="{{ request.replicas }}"
                data-justification="{% if request.justification %}{{ request.justification }}{% else %}None{% endif %}"
                data-submitted-by="{{ request.get_submitter_name }}"
                data-last-updated="{{ request.last_updated }}"
                data-current-quota-replicas="{{ request.application.applicationquota.replicas }}"
                data-bs-toggle="modal"
                data-bs-target="#k8sResourceRequestModal"
              >View details</button>
            </div>
          </div>
        {% endfor %}
      </div>
    {% else %}
      <p class="text-muted">No pending K8s resource requests</p>
    {% endif %}
  </div>
</div>
